Last modified: 2013-09-04 09:01:14 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 44947 - Remove "requires JavaScript" from preference texts
Remove "requires JavaScript" from preference texts
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
General/Unknown (Other open bugs)
1.21.x
All All
: Low minor with 1 vote (vote)
: ---
Assigned To: Rahul Maliakkal
:
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2013-02-13 11:38 UTC by Nemo
Modified: 2013-09-04 09:01 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Patch Link (41 bytes, text/plain)
2013-02-24 18:07 UTC, Rahul Maliakkal
Details

Description Nemo 2013-02-13 11:38:04 UTC
«Some preferences end with (requires JavaScript), but it is not consistently used, and given that practically everyone has javascript support these days, but a lot of people don't really know what it is, wouldn't it be better to remove the warnings?»

There are 6 such preferences in core.
Comment 1 Rahul Maliakkal 2013-02-24 18:07:29 UTC
Created attachment 11836 [details]
Patch Link
Comment 2 Rahul Maliakkal 2013-02-24 18:09:48 UTC
Comment on attachment 11836 [details]
Patch Link

>
Comment 3 Rahul Maliakkal 2013-02-24 18:10:58 UTC
I am sorry for the mess
https://gerrit.wikimedia.org/r/#/c/50614/
Comment 4 Betacommand 2013-02-24 18:18:32 UTC
Actually a lot of users JavaScipt isnt supported. Or in other cases especially on mobile browsers it causes inconsistencies (Lynx browser does not support JavaScript)
Comment 5 Rahul Maliakkal 2013-02-24 18:18:50 UTC
Gerrit change #50614
Comment 6 Jesús Martínez Novo (Ciencia Al Poder) 2013-02-24 18:21:50 UTC
removing javascript keyword since it has nothing to do with JavaScript modifications.
Comment 7 Andre Klapper 2013-02-25 14:44:02 UTC
Rahul: Thanks for the patch!

Betacommand: See comment 0 - it's not consistently used anyway.
Comment 8 Waldir 2013-02-27 17:59:08 UTC
(In reply to comment #7)
> Rahul: Thanks for the patch!
> 
> Betacommand: See comment 0 - it's not consistently used anyway.

I would prefer us to err on the other side, then. What about adding those preferences items via Javascript? (only semi-joking)
Comment 9 MZMcBride 2013-02-27 18:02:52 UTC
I'm not sure about removing the warning text.
Comment 10 Gerrit Notification Bot 2013-09-03 13:03:26 UTC
Change 50614 had a related patch set uploaded by Siebrand:
(Bug 44947) Removed "requires JavaScript" from preference texts

https://gerrit.wikimedia.org/r/50614
Comment 11 Gerrit Notification Bot 2013-09-04 08:56:20 UTC
Change 50614 merged by jenkins-bot:
Removed "requires JavaScript" from preference texts

https://gerrit.wikimedia.org/r/50614

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links